comonad-4.2.7.2: Comonads

Copyright | (C) 2008-2013 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Comonad.Hoist.Class

Description

# Documentation

class ComonadHoist t where Source

Methods

cohoist :: (Comonad w, Comonad v) => (forall x. w x -> v x) -> t w a -> t v a Source

Given any comonad-homomorphism from `w` to `v` this yields a comonad homomorphism from `t w` to `t v`.

Instances

ComonadHoist IdentityT Source |
ComonadHoist (EnvT e) Source |
ComonadHoist (StoreT s) Source |
Monoid m => ComonadHoist (TracedT m) Source |